Futures Cross
Get position
GET
/futures/cross/positionPrivateGet the current cross margin position
Permissions: futures:cross:read
OK
application/json- response
id*stringPosition ID
Match
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Format
uuidupdatedAt*stringTimestamp marking the last update of the position
Format
date-timemargin*integerCross margin balance
quantity*numberQuantity of the position
leverage*integerLeverage of the position
Range
0 < valueentryPrice*|Entry price
runningMargin*integerRunning margin
initialMargin*integerInitial margin
maintenanceMargin*integerMaintenance margin
liquidation*|Liquidation price
tradingFees*integerTrading fees
fundingFees*integerFunding fees
totalPl*integerTotal profit/loss
deltaPl*integerDelta profit/loss
import { createHttpClient } from '@ln-markets/sdk/rest/v3'const client = createHttpClient({ key: 'your-key', secret: 'your-secret', passphrase: 'your-passphrase',})const result = await client.futures.cross.getPosition(){ "id": "c0b9f9a0-4f6e-4a5a-8b7a-7f0f5f9a8a1e", "updatedAt": "2023-05-23T09:52:57.863Z", "margin": 100, "quantity": 100, "leverage": 10, "entryPrice": 100, "runningMargin": 100, "initialMargin": 100, "maintenanceMargin": 100, "liquidation": 100, "tradingFees": 100, "fundingFees": 100, "totalPl": 100, "deltaPl": 100}